<?php

namespace App\Orchid\Layouts\Banner;

use Orchid\Screen\Layouts\Rows;
use Orchid\Screen\Fields\Input;

class BannerEditLayout extends Rows {

  protected $title;

  protected function fields(): iterable {
    return [
      Input::make('banner.title_line_1')
        ->placeholder('Title Line 1')
        ->title('Title Line 1'),

      Input::make('banner.title_line_2')
        ->placeholder('Title Line 2')
        ->title('Title Line 2'),

      Input::make('banner.button_text')
        ->placeholder('Button Text')
        ->title('Button Text'),

      Input::make('banner.image')
        ->type('file')
        ->title('Image'),
    ];
  }
}
